> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain a list of previous activity for a Smart Deposit Address

> Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /deposit-addresses/{depositAddress}/{depositChain}/history
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /deposit-addresses/{depositAddress}/{depositChain}/history:
    get:
      tags:
        - depositAddresses
      summary: Obtain a list of previous activity for a Smart Deposit Address
      description: >-
        Please use the identical endpoint under https://api.rhino.fi/sda. The
        sda endpoints here exist only for backwards compatibility and will be
        removed in the future. If you use the SDK, please upgrade to the latest
        version which uses the correct endpoint.
      operationId: depositAddresses.historyDepositAddress
      parameters:
        - name: depositAddress
          in: path
          schema:
            anyOf:
              - $ref: '#/components/schemas/EthAddressSchema'
              - $ref: '#/components/schemas/TronAddressBasic'
              - $ref: '#/components/schemas/SolanaAddress'
              - $ref: '#/components/schemas/StellarMuxedAddress'
              - $ref: '#/components/schemas/BitcoinAddressSchema'
            description: >-
              The Rhino.fi Smart Deposit Address that the deposit has been sent
              to, e.g. "0x123...ABC".
          required: true
          description: >-
            The Rhino.fi Smart Deposit Address that the deposit has been sent
            to, e.g. "0x123...ABC".
        - name: depositChain
          in: path
          schema:
            type: string
            description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
          required: true
          description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
        - name: from
          in: query
          schema:
            $ref: '#/components/schemas/from'
          required: false
        - name: to
          in: query
          schema:
            $ref: '#/components/schemas/to'
          required: false
      responses:
        '200':
          description: DepositAddressHistoryResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositAddressHistoryResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: DepositAddressNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressNotFound'
                  - $ref: '#/components/schemas/DepositAddressChainsNotSupported'
                  - $ref: '#/components/schemas/InvalidDateRange'
        '503':
          description: EndpointDisabledError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointDisabledError'
      deprecated: true
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    EthAddressSchema:
      type: string
      description: a string that will be trimmed
    TronAddressBasic:
      type: string
      description: Tron basic address format
      pattern: T[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]+
      title: maxLength(60)
      maxLength: 60
    SolanaAddress:
      type: string
    StellarMuxedAddress:
      type: string
    BitcoinAddressSchema:
      anyOf:
        - $ref: '#/components/schemas/BitcoinBech32AddressSchema'
        - $ref: '#/components/schemas/BitcoinBase58AddressSchema'
      description: Bitcoin address (bech32 / bech32m or base58check)
    from:
      type: string
      description: >-
        The start date that the history query should cover, in milliseconds
        since epoch or Date. If not specified then the default history given
        will cover the last 7 day period. The maximum window of time a result
        can cover is 31 days between the from and to.
    to:
      type: string
      description: >-
        The end date that the history query should cover, in milliseconds since
        epoch or Date. If not specified then the default history given will
        cover the last 7 day period. The maximum window of time a result can
        cover is 31 days between the from and to.
    DepositAddressHistoryResponse:
      type: object
      required:
        - depositAddress
        - depositChain
        - bridges
      properties:
        depositAddress:
          type: string
          description: >-
            The Rhino.fi Smart Deposit Address that the deposit has been sent
            to.
          title: nonEmptyString
          minLength: 1
        depositChain:
          type: string
          description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
          title: nonEmptyString
          minLength: 1
        bridges:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/DepositAddressBridgeFailedApi'
              - $ref: '#/components/schemas/DepositAddressBridgeRejectedApi'
              - $ref: '#/components/schemas/DepositAddressBridgeAcceptedApi'
          description: >-
            An array of bridge transactions associated with this deposit
            address, including accepted, failed, and rejected transactions.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    DepositAddressNotFound:
      type: object
      required:
        - message
        - addresses
        - _tag
      properties:
        message:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNotFound
      additionalProperties: false
    DepositAddressChainsNotSupported:
      type: object
      required:
        - chains
        - _tag
      properties:
        chains:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressChainsNotSupported
      additionalProperties: false
    InvalidDateRange:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidDateRange
      additionalProperties: false
    EndpointDisabledError:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - EndpointDisabledError
      additionalProperties: false
    BitcoinBech32AddressSchema:
      type: string
      description: Bitcoin bech32 / bech32m address (SegWit, Taproot)
    BitcoinBase58AddressSchema:
      type: string
      description: a string that will be trimmed
    DepositAddressBridgeFailedApi:
      type: object
      required:
        - _id
        - tokenSymbol
        - tokenAddress
        - amount
        - amountUsd
        - amountWei
        - sender
        - txHash
        - createdAt
        - _tag
      properties:
        _id:
          type: string
          description: The unique identifier of the bridge transaction.
          title: nonEmptyString
          minLength: 1
        tokenSymbol:
          type: string
          description: The identifier of the token on the given chain.
          title: nonEmptyString
          minLength: 1
        tokenAddress:
          type: string
          description: The smart contract of the token.
          title: nonEmptyString
          minLength: 1
        amount:
          type: string
          description: >-
            The value in native asset of the tokenSymbol that has been received
            into the Smart Deposit Address.
        amountUsd:
          type: number
          description: >-
            The value in USD of the tokenSymbol that has been received into the
            Smart Deposit Address.
        amountWei:
          type: string
          description: >-
            The value received into the Smart Deposit Address, denominated in
            the smallest unit of the token.
        sender:
          type: string
          description: >-
            The address on the depositChain that sent the tokens for bridging /
            bridging and swapping.
          title: nonEmptyString
          minLength: 1
        txHash:
          type: string
          description: >-
            The uniquely identifiable transaction hash for the deposit
            transaction into the depositAddress.
          title: nonEmptyString
          minLength: 1
        originalErrorTag:
          type: string
          description: >-
            An identifier for the underlying error that caused the transaction
            to fail.
          title: nonEmptyString
          minLength: 1
        createdAt:
          type: string
          description: >-
            The datetime that the bridging / bridging+swapping quote was
            created.
        _tag:
          type: string
          enum:
            - failed
      additionalProperties: false
    DepositAddressBridgeRejectedApi:
      type: object
      required:
        - _id
        - tokenSymbol
        - tokenAddress
        - amount
        - amountUsd
        - amountWei
        - sender
        - txHash
        - reason
        - txUid
        - createdAt
        - _tag
      properties:
        _id:
          type: string
          description: The unique identifier of the bridge transaction.
          title: nonEmptyString
          minLength: 1
        tokenSymbol:
          type: string
          description: The identifier of the token on the given chain.
          title: nonEmptyString
          minLength: 1
        tokenAddress:
          type: string
          description: The smart contract of the token.
          title: nonEmptyString
          minLength: 1
        amount:
          type: string
          description: >-
            The value in native asset of the tokenSymbol that has been received
            into the Smart Deposit Address.
        amountUsd:
          type: number
          description: >-
            The value in USD of the tokenSymbol that has been received into the
            Smart Deposit Address.
        amountWei:
          type: string
          description: >-
            The value received into the Smart Deposit Address, denominated in
            the smallest unit of the token.
        sender:
          type: string
          description: >-
            The address on the depositChain that sent the tokens for bridging /
            bridging and swapping.
        txHash:
          type: string
          description: >-
            The uniquely identifiable transaction hash for the deposit
            transaction into the depositAddress.
        originalErrorTag:
          type: string
          description: >-
            An identifier for the underlying error that caused the transaction
            to be rejected.
          title: nonEmptyString
          minLength: 1
        originalErrorJson:
          type: string
        reason:
          type: string
          enum:
            - OVER_MAX
            - UNDER_MIN
            - OPERATION_UNAVAILABLE
            - TERMINAL_PROCESSING_ISSUE
            - NO_ROUTE_FOUND
            - UNSUPPORTED_TOKEN
            - SDA_PAUSED
            - SETTLEMENT_REJECTED
          description: >-
            Further information about why a transaction was rejected. OVER_MAX:
            the amount deposited was above the maximum value accepted for that
            token for the Smart Deposit Address (this value can be found via the
            GET
            /sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens
            endpoint). UNDER_MIN: the amount deposited was below the minimum
            value accepted for that token for the Smart Deposit Address (same
            endpoint to find the value). TERMINAL_PROCESSING_ISSUE: an issue
            within the Rhino.fi system meant the required swapping and/or
            bridging activity was not completed; please reach out to your
            Rhino.fi customer success manager for further information.
            NO_ROUTE_FOUND: no compatible bridge and/or swap route was able to
            be found and executed; please reach out to your Rhino.fi customer
            success manager for further information. UNSUPPORTED_TOKEN: the
            token that was deposited is not supported for this Smart Deposit
            Address. SDA_PAUSED: the Smart Deposit Address was paused and not
            processing deposits at the time the deposit was received.
            OPERATION_UNAVAILABLE: the deposit could not be processed because
            the operation was unavailable at the time; please reach out to your
            Rhino.fi customer success manager for further information.
        txUid:
          type: string
          description: >-
            A unique identifier for the deposit transaction within the Rhino.fi
            system.
          title: nonEmptyString
          minLength: 1
        createdAt:
          type: string
          description: >-
            The datetime that the bridging / bridging+swapping quote was
            created.
        blockNumber:
          $ref: '#/components/schemas/NonNegative'
          description: >-
            The block on the depositChain that the deposit transaction was
            included in.
          title: int
          type: integer
        _tag:
          type: string
          enum:
            - rejected
      additionalProperties: false
    DepositAddressBridgeAcceptedApi:
      type: object
      required:
        - _id
        - tokenSymbol
        - tokenAddress
        - amount
        - amountUsd
        - amountWei
        - sender
        - txHash
        - history
        - createdAt
        - _tag
      properties:
        _id:
          type: string
          description: The unique identifier of the bridge transaction.
          title: nonEmptyString
          minLength: 1
        tokenSymbol:
          type: string
          description: The identifier of the token on the given chain.
          title: nonEmptyString
          minLength: 1
        tokenAddress:
          type: string
          description: The smart contract of the token.
          title: nonEmptyString
          minLength: 1
        amount:
          type: string
          description: >-
            The value in native asset of the tokenSymbol that has been received
            into the Smart Deposit Address.
        amountUsd:
          type: number
          description: >-
            The value in USD of the tokenSymbol that has been received into the
            Smart Deposit Address.
        amountWei:
          type: string
          description: >-
            The value received into the Smart Deposit Address, denominated in
            the smallest unit of the token.
        sender:
          type: string
          description: >-
            The address on the depositChain that sent the tokens for bridging /
            bridging and swapping.
          title: nonEmptyString
          minLength: 1
        txHash:
          type: string
          description: >-
            The uniquely identifiable transaction hash for the deposit
            transaction into the depositAddress.
          title: nonEmptyString
          minLength: 1
        history:
          anyOf:
            - type: object
              required:
                - _tag
                - _id
                - userId
                - chainIn
                - chainOut
                - amountIn
                - amountInUsd
                - amountOut
                - amountOutUsd
                - amountNative
                - amountNativeUsd
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - sponsoredFees
                - recipient
                - depositor
                - createdAt
                - commitmentDate
                - token
                - usdPrice
                - state
              properties:
                _tag:
                  type: string
                  enum:
                    - depositAddressBridge
                _id:
                  type: string
                userId:
                  type: string
                  description: The projectID that the transaction is associated with.
                chainIn:
                  type: string
                  description: The blockchain that the tokens were bridged from.
                chainOut:
                  type: string
                  description: The blockchain that the tokens were bridged to.
                amountIn:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainIn.
                amountInUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainIn.
                amountOut:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainOut.
                amountOutUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainOut.
                amountNative:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromString'
                    - type: 'null'
                  description: >-
                    The amount of native gas token (e.g. ETH, MATIC, BNB) that
                    was delivered to the user's wallet on the destination chain
                    as part of gas boost functionality, where Rhino.fi delivers
                    a small amount of native gas token to the destination
                    address, ensuring that further transactions from this
                    address can be made immediately.
                amountNativeUsd:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromNumber'
                    - type: 'null'
                  description: The value, in USD, of amountNative.
                fee:
                  type: string
                  description: >-
                    The total cost of the transaction as paid by the end
                    customer, denominated in the token.
                feeUsd:
                  type: number
                  description: The total cost, in USD, of the transaction.
                gasFee:
                  type: string
                  description: >-
                    Any chain specific costs charged to the end customer for the
                    chainOut part of the overall transaction. Further
                    information about which chains have these associated costs
                    can be found here:
                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                    If these costs are being paid by the client then this value
                    will be zero and the gasFee and gasFeeUsd in the sponsored
                    fee body will be non-zero.
                gasFeeUsd:
                  type: number
                  description: The gasFee value, in USD.
                platformFee:
                  type: string
                  description: >-
                    The resulting fee charged from the $-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                platformFeeUsd:
                  type: number
                  description: The platformFee value, in USD.
                percentageFee:
                  type: string
                  description: >-
                    The resulting fee charged from the %-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                percentageFeeUsd:
                  type: number
                  description: The percentageFee value, in USD.
                sourceGasFee:
                  type: string
                  description: >-
                    The cost on the chainIn to sweep the received tokens into
                    Rhino.fi's control. For legacy clients this is deducted from
                    the tokens sent on the chainOut. For PAYG/Subscription tier
                    clients this is paid by Rhino.fi as part of the
                    PAYG/Subscription monthly cost so no direct cost is passed
                    onto the end customer, unless configured this way. This is
                    only relevant for transactions involving a Rhino.fi Smart
                    Deposit Address; for bridging/swapping-only activity the
                    sourceGasFee will be paid directly by the customer within
                    their depositing transaction.
                sourceGasFeeUsd:
                  type: number
                  description: The sourceGasFee value, in USD.
                sponsoredFees:
                  type: object
                  required:
                    - fee
                    - feeUsd
                    - gasFee
                    - gasFeeUsd
                    - platformFee
                    - platformFeeUsd
                    - percentageFee
                    - percentageFeeUsd
                    - sourceGasFee
                    - sourceGasFeeUsd
                  properties:
                    fee:
                      type: string
                      description: The total cost of the transaction.
                    feeUsd:
                      type: number
                      description: The total cost of the transaction, in USD.
                    gasFee:
                      type: string
                      description: >-
                        Any chain specific costs charged to the client for the
                        chainOut part of the overall transaction. Further
                        information about which chains have these associated
                        costs can be found here:
                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                        If these costs are being passed on to the end user then
                        this value will be zero and the gasFee and gasFeeUsd in
                        the main fee body will be non-zero.
                    gasFeeUsd:
                      type: number
                      description: The gasFee value, in USD.
                    platformFee:
                      type: string
                      description: >-
                        The value of any additional fee levied on top by
                        Rhino.fi and paid by the client. This is only relevant
                        for legacy clients.
                    platformFeeUsd:
                      type: number
                      description: The platformFee value, in USD.
                    percentageFee:
                      type: string
                      description: >-
                        Will be zero since this represents a charge levied on
                        the end customer by the client. To understand the value
                        charged to the end customer, the percentageFee value
                        from the main fee body should be used. N.B. for
                        PAYG/Subscription clients this is now referred to as the
                        "Client Surcharge".
                    percentageFeeUsd:
                      type: number
                      description: The percentageFee value, in USD.
                    sourceGasFee:
                      type: string
                      description: >-
                        The cost on the chainIn to sweep the received tokens
                        into Rhino.fi's control. For legacy clients this is
                        deducted from the tokens sent on the chainOut. For
                        PAYG/Subscription tier clients this is paid by Rhino.fi
                        as part of the PAYG/Subscription monthly cost so no
                        direct cost is passed onto the client, unless configured
                        to be passed onto the end customer. This is only
                        relevant for transactions involving a Rhino.fi Smart
                        Deposit Address; for bridging/swapping-only activity the
                        sourceGasFee will be paid directly by the customer
                        within their depositing transaction.
                    sourceGasFeeUsd:
                      type: number
                      description: The sourceGasFee value, in USD.
                  additionalProperties: false
                  description: >-
                    For both legacy and PAYG/Subscription clients, represents
                    the fees that are paid by the client on behalf of the end
                    customer.
                recipient:
                  type: string
                  description: >-
                    The address on the chainOut that received the bridged
                    tokens.
                depositor:
                  type: string
                  description: >-
                    The address on the chainIn that sent the tokens for
                    bridging.
                createdAt:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    created.
                commitmentDate:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    committed with Rhino.fi.
                speed:
                  type: string
                  enum:
                    - fast
                    - standard
                    - slow
                  description: >-
                    Provides information about whether the transaction is
                    expected to be completed "fast" (typically under 30
                    seconds), "standard" (typically under a minute) or "slow"
                    (can be up to 20 minutes). For more information on our
                    bridge processing speeds please read this article on the
                    Rhino.fi Knowledge Base:
                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                estimatedDuration:
                  type: number
                  description: >-
                    The estimated time for the transaction to complete in
                    milliseconds.
                  title: nonNegative
                  minimum: 0
                postBridgeData:
                  anyOf:
                    - $ref: '#/components/schemas/ExtendedPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                    - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                    - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                    - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                    - $ref: >-
                        #/components/schemas/RocketFoundationDepositPostBridgeData
                    - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                    - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                  description: >-
                    Custom Routing Rules as configured by Rhino.fi for a
                    specific client, e.g. to move funds after the initial bridge
                    into a yield bearing vault. To understand more about how
                    Routing Rules can help automate onchain actions and ensure
                    that your funds land in an active state, please contact your
                    Rhino.fi Customer Success Manager or speak to a member of
                    the Rhino.fi sales team.
                flowCredits:
                  type: number
                  description: >-
                    The number of Flow Credits that this transaction will use
                    from the client's agreed Rhino.fi PAYG/Subscription tier.
                token:
                  type: string
                  description: >-
                    The asset deposited into the Smart Deposit Address on the
                    chainIn. Where the deposit address performs a swap, the
                    asset received on the chainOut may differ.
                tokenOut:
                  type: string
                  description: >-
                    The asset received on the chainOut where the deposit address
                    performs a swap.
                usdPrice:
                  type: number
                  description: >-
                    The USD price of the token at the time the quote was
                    created.
                depositAddress:
                  type: string
                  description: >-
                    The Rhino.fi Smart Deposit Address that the tokens were
                    deposited to.
                preSwap:
                  $ref: '#/components/schemas/SwapQuote'
                postSwap:
                  $ref: '#/components/schemas/SwapQuote'
                state:
                  type: string
                  enum:
                    - PENDING
              additionalProperties: false
            - type: object
              required:
                - _tag
                - _id
                - userId
                - chainIn
                - chainOut
                - amountIn
                - amountInUsd
                - amountOut
                - amountOutUsd
                - amountNative
                - amountNativeUsd
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - sponsoredFees
                - recipient
                - depositor
                - createdAt
                - commitmentDate
                - token
                - usdPrice
                - depositTxHash
                - depositDiscoveredAt
                - expectedDepositConfirmedAt
                - expectedDepositConfirmedAtBlock
                - state
              properties:
                _tag:
                  type: string
                  enum:
                    - depositAddressBridge
                _id:
                  type: string
                userId:
                  type: string
                  description: The projectID that the transaction is associated with.
                chainIn:
                  type: string
                  description: The blockchain that the tokens were bridged from.
                chainOut:
                  type: string
                  description: The blockchain that the tokens were bridged to.
                amountIn:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainIn.
                amountInUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainIn.
                amountOut:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainOut.
                amountOutUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainOut.
                amountNative:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromString'
                    - type: 'null'
                  description: >-
                    The amount of native gas token (e.g. ETH, MATIC, BNB) that
                    was delivered to the user's wallet on the destination chain
                    as part of gas boost functionality, where Rhino.fi delivers
                    a small amount of native gas token to the destination
                    address, ensuring that further transactions from this
                    address can be made immediately.
                amountNativeUsd:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromNumber'
                    - type: 'null'
                  description: The value, in USD, of amountNative.
                fee:
                  type: string
                  description: >-
                    The total cost of the transaction as paid by the end
                    customer, denominated in the token.
                feeUsd:
                  type: number
                  description: The total cost, in USD, of the transaction.
                gasFee:
                  type: string
                  description: >-
                    Any chain specific costs charged to the end customer for the
                    chainOut part of the overall transaction. Further
                    information about which chains have these associated costs
                    can be found here:
                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                    If these costs are being paid by the client then this value
                    will be zero and the gasFee and gasFeeUsd in the sponsored
                    fee body will be non-zero.
                gasFeeUsd:
                  type: number
                  description: The gasFee value, in USD.
                platformFee:
                  type: string
                  description: >-
                    The resulting fee charged from the $-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                platformFeeUsd:
                  type: number
                  description: The platformFee value, in USD.
                percentageFee:
                  type: string
                  description: >-
                    The resulting fee charged from the %-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                percentageFeeUsd:
                  type: number
                  description: The percentageFee value, in USD.
                sourceGasFee:
                  type: string
                  description: >-
                    The cost on the chainIn to sweep the received tokens into
                    Rhino.fi's control. For legacy clients this is deducted from
                    the tokens sent on the chainOut. For PAYG/Subscription tier
                    clients this is paid by Rhino.fi as part of the
                    PAYG/Subscription monthly cost so no direct cost is passed
                    onto the end customer, unless configured this way. This is
                    only relevant for transactions involving a Rhino.fi Smart
                    Deposit Address; for bridging/swapping-only activity the
                    sourceGasFee will be paid directly by the customer within
                    their depositing transaction.
                sourceGasFeeUsd:
                  type: number
                  description: The sourceGasFee value, in USD.
                sponsoredFees:
                  type: object
                  required:
                    - fee
                    - feeUsd
                    - gasFee
                    - gasFeeUsd
                    - platformFee
                    - platformFeeUsd
                    - percentageFee
                    - percentageFeeUsd
                    - sourceGasFee
                    - sourceGasFeeUsd
                  properties:
                    fee:
                      type: string
                      description: The total cost of the transaction.
                    feeUsd:
                      type: number
                      description: The total cost of the transaction, in USD.
                    gasFee:
                      type: string
                      description: >-
                        Any chain specific costs charged to the client for the
                        chainOut part of the overall transaction. Further
                        information about which chains have these associated
                        costs can be found here:
                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                        If these costs are being passed on to the end user then
                        this value will be zero and the gasFee and gasFeeUsd in
                        the main fee body will be non-zero.
                    gasFeeUsd:
                      type: number
                      description: The gasFee value, in USD.
                    platformFee:
                      type: string
                      description: >-
                        The value of any additional fee levied on top by
                        Rhino.fi and paid by the client. This is only relevant
                        for legacy clients.
                    platformFeeUsd:
                      type: number
                      description: The platformFee value, in USD.
                    percentageFee:
                      type: string
                      description: >-
                        Will be zero since this represents a charge levied on
                        the end customer by the client. To understand the value
                        charged to the end customer, the percentageFee value
                        from the main fee body should be used. N.B. for
                        PAYG/Subscription clients this is now referred to as the
                        "Client Surcharge".
                    percentageFeeUsd:
                      type: number
                      description: The percentageFee value, in USD.
                    sourceGasFee:
                      type: string
                      description: >-
                        The cost on the chainIn to sweep the received tokens
                        into Rhino.fi's control. For legacy clients this is
                        deducted from the tokens sent on the chainOut. For
                        PAYG/Subscription tier clients this is paid by Rhino.fi
                        as part of the PAYG/Subscription monthly cost so no
                        direct cost is passed onto the client, unless configured
                        to be passed onto the end customer. This is only
                        relevant for transactions involving a Rhino.fi Smart
                        Deposit Address; for bridging/swapping-only activity the
                        sourceGasFee will be paid directly by the customer
                        within their depositing transaction.
                    sourceGasFeeUsd:
                      type: number
                      description: The sourceGasFee value, in USD.
                  additionalProperties: false
                  description: >-
                    For both legacy and PAYG/Subscription clients, represents
                    the fees that are paid by the client on behalf of the end
                    customer.
                recipient:
                  type: string
                  description: >-
                    The address on the chainOut that received the bridged
                    tokens.
                depositor:
                  type: string
                  description: >-
                    The address on the chainIn that sent the tokens for
                    bridging.
                createdAt:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    created.
                commitmentDate:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    committed with Rhino.fi.
                speed:
                  type: string
                  enum:
                    - fast
                    - standard
                    - slow
                  description: >-
                    Provides information about whether the transaction is
                    expected to be completed "fast" (typically under 30
                    seconds), "standard" (typically under a minute) or "slow"
                    (can be up to 20 minutes). For more information on our
                    bridge processing speeds please read this article on the
                    Rhino.fi Knowledge Base:
                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                estimatedDuration:
                  type: number
                  description: >-
                    The estimated time for the transaction to complete in
                    milliseconds.
                  title: nonNegative
                  minimum: 0
                postBridgeData:
                  anyOf:
                    - $ref: '#/components/schemas/ExtendedPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                    - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                    - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                    - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                    - $ref: >-
                        #/components/schemas/RocketFoundationDepositPostBridgeData
                    - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                    - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                  description: >-
                    Custom Routing Rules as configured by Rhino.fi for a
                    specific client, e.g. to move funds after the initial bridge
                    into a yield bearing vault. To understand more about how
                    Routing Rules can help automate onchain actions and ensure
                    that your funds land in an active state, please contact your
                    Rhino.fi Customer Success Manager or speak to a member of
                    the Rhino.fi sales team.
                flowCredits:
                  type: number
                  description: >-
                    The number of Flow Credits that this transaction will use
                    from the client's agreed Rhino.fi PAYG/Subscription tier.
                token:
                  type: string
                  description: >-
                    The asset deposited into the Smart Deposit Address on the
                    chainIn. Where the deposit address performs a swap, the
                    asset received on the chainOut may differ.
                tokenOut:
                  type: string
                  description: >-
                    The asset received on the chainOut where the deposit address
                    performs a swap.
                usdPrice:
                  type: number
                  description: >-
                    The USD price of the token at the time the quote was
                    created.
                depositAddress:
                  type: string
                  description: >-
                    The Rhino.fi Smart Deposit Address that the tokens were
                    deposited to.
                preSwap:
                  $ref: '#/components/schemas/SwapQuote'
                postSwap:
                  $ref: '#/components/schemas/SwapQuote'
                depositTxHash:
                  type: string
                  description: The transaction hash of the deposit made on the chainIn.
                depositDiscoveredAt:
                  type: string
                  description: >-
                    The datetime that Rhino.fi first discovered the deposit
                    transaction on the chainIn.
                expectedDepositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction is expected to
                    reach the required number of confirmations on the chainIn.
                expectedDepositConfirmedAtBlock:
                  type: integer
                  description: >-
                    The block on the chainIn at which the deposit transaction is
                    expected to reach the required number of confirmations.
                  title: int
                state:
                  type: string
                  enum:
                    - PENDING_CONFIRMATION
              additionalProperties: false
            - type: object
              required:
                - _tag
                - _id
                - userId
                - chainIn
                - chainOut
                - amountIn
                - amountInUsd
                - amountOut
                - amountOutUsd
                - amountNative
                - amountNativeUsd
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - sponsoredFees
                - recipient
                - depositor
                - createdAt
                - commitmentDate
                - token
                - usdPrice
                - depositTxHash
                - depositCommittedAt
                - failedAt
                - state
              properties:
                _tag:
                  type: string
                  enum:
                    - depositAddressBridge
                _id:
                  type: string
                userId:
                  type: string
                  description: The projectID that the transaction is associated with.
                chainIn:
                  type: string
                  description: The blockchain that the tokens were bridged from.
                chainOut:
                  type: string
                  description: The blockchain that the tokens were bridged to.
                amountIn:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainIn.
                amountInUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainIn.
                amountOut:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainOut.
                amountOutUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainOut.
                amountNative:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromString'
                    - type: 'null'
                  description: >-
                    The amount of native gas token (e.g. ETH, MATIC, BNB) that
                    was delivered to the user's wallet on the destination chain
                    as part of gas boost functionality, where Rhino.fi delivers
                    a small amount of native gas token to the destination
                    address, ensuring that further transactions from this
                    address can be made immediately.
                amountNativeUsd:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromNumber'
                    - type: 'null'
                  description: The value, in USD, of amountNative.
                fee:
                  type: string
                  description: >-
                    The total cost of the transaction as paid by the end
                    customer, denominated in the token.
                feeUsd:
                  type: number
                  description: The total cost, in USD, of the transaction.
                gasFee:
                  type: string
                  description: >-
                    Any chain specific costs charged to the end customer for the
                    chainOut part of the overall transaction. Further
                    information about which chains have these associated costs
                    can be found here:
                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                    If these costs are being paid by the client then this value
                    will be zero and the gasFee and gasFeeUsd in the sponsored
                    fee body will be non-zero.
                gasFeeUsd:
                  type: number
                  description: The gasFee value, in USD.
                platformFee:
                  type: string
                  description: >-
                    The resulting fee charged from the $-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                platformFeeUsd:
                  type: number
                  description: The platformFee value, in USD.
                percentageFee:
                  type: string
                  description: >-
                    The resulting fee charged from the %-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                percentageFeeUsd:
                  type: number
                  description: The percentageFee value, in USD.
                sourceGasFee:
                  type: string
                  description: >-
                    The cost on the chainIn to sweep the received tokens into
                    Rhino.fi's control. For legacy clients this is deducted from
                    the tokens sent on the chainOut. For PAYG/Subscription tier
                    clients this is paid by Rhino.fi as part of the
                    PAYG/Subscription monthly cost so no direct cost is passed
                    onto the end customer, unless configured this way. This is
                    only relevant for transactions involving a Rhino.fi Smart
                    Deposit Address; for bridging/swapping-only activity the
                    sourceGasFee will be paid directly by the customer within
                    their depositing transaction.
                sourceGasFeeUsd:
                  type: number
                  description: The sourceGasFee value, in USD.
                sponsoredFees:
                  type: object
                  required:
                    - fee
                    - feeUsd
                    - gasFee
                    - gasFeeUsd
                    - platformFee
                    - platformFeeUsd
                    - percentageFee
                    - percentageFeeUsd
                    - sourceGasFee
                    - sourceGasFeeUsd
                  properties:
                    fee:
                      type: string
                      description: The total cost of the transaction.
                    feeUsd:
                      type: number
                      description: The total cost of the transaction, in USD.
                    gasFee:
                      type: string
                      description: >-
                        Any chain specific costs charged to the client for the
                        chainOut part of the overall transaction. Further
                        information about which chains have these associated
                        costs can be found here:
                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                        If these costs are being passed on to the end user then
                        this value will be zero and the gasFee and gasFeeUsd in
                        the main fee body will be non-zero.
                    gasFeeUsd:
                      type: number
                      description: The gasFee value, in USD.
                    platformFee:
                      type: string
                      description: >-
                        The value of any additional fee levied on top by
                        Rhino.fi and paid by the client. This is only relevant
                        for legacy clients.
                    platformFeeUsd:
                      type: number
                      description: The platformFee value, in USD.
                    percentageFee:
                      type: string
                      description: >-
                        Will be zero since this represents a charge levied on
                        the end customer by the client. To understand the value
                        charged to the end customer, the percentageFee value
                        from the main fee body should be used. N.B. for
                        PAYG/Subscription clients this is now referred to as the
                        "Client Surcharge".
                    percentageFeeUsd:
                      type: number
                      description: The percentageFee value, in USD.
                    sourceGasFee:
                      type: string
                      description: >-
                        The cost on the chainIn to sweep the received tokens
                        into Rhino.fi's control. For legacy clients this is
                        deducted from the tokens sent on the chainOut. For
                        PAYG/Subscription tier clients this is paid by Rhino.fi
                        as part of the PAYG/Subscription monthly cost so no
                        direct cost is passed onto the client, unless configured
                        to be passed onto the end customer. This is only
                        relevant for transactions involving a Rhino.fi Smart
                        Deposit Address; for bridging/swapping-only activity the
                        sourceGasFee will be paid directly by the customer
                        within their depositing transaction.
                    sourceGasFeeUsd:
                      type: number
                      description: The sourceGasFee value, in USD.
                  additionalProperties: false
                  description: >-
                    For both legacy and PAYG/Subscription clients, represents
                    the fees that are paid by the client on behalf of the end
                    customer.
                recipient:
                  type: string
                  description: >-
                    The address on the chainOut that received the bridged
                    tokens.
                depositor:
                  type: string
                  description: >-
                    The address on the chainIn that sent the tokens for
                    bridging.
                createdAt:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    created.
                commitmentDate:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    committed with Rhino.fi.
                speed:
                  type: string
                  enum:
                    - fast
                    - standard
                    - slow
                  description: >-
                    Provides information about whether the transaction is
                    expected to be completed "fast" (typically under 30
                    seconds), "standard" (typically under a minute) or "slow"
                    (can be up to 20 minutes). For more information on our
                    bridge processing speeds please read this article on the
                    Rhino.fi Knowledge Base:
                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                estimatedDuration:
                  type: number
                  description: >-
                    The estimated time for the transaction to complete in
                    milliseconds.
                  title: nonNegative
                  minimum: 0
                postBridgeData:
                  anyOf:
                    - $ref: '#/components/schemas/ExtendedPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                    - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                    - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                    - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                    - $ref: >-
                        #/components/schemas/RocketFoundationDepositPostBridgeData
                    - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                    - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                  description: >-
                    Custom Routing Rules as configured by Rhino.fi for a
                    specific client, e.g. to move funds after the initial bridge
                    into a yield bearing vault. To understand more about how
                    Routing Rules can help automate onchain actions and ensure
                    that your funds land in an active state, please contact your
                    Rhino.fi Customer Success Manager or speak to a member of
                    the Rhino.fi sales team.
                flowCredits:
                  type: number
                  description: >-
                    The number of Flow Credits that this transaction will use
                    from the client's agreed Rhino.fi PAYG/Subscription tier.
                token:
                  type: string
                  description: >-
                    The asset deposited into the Smart Deposit Address on the
                    chainIn. Where the deposit address performs a swap, the
                    asset received on the chainOut may differ.
                tokenOut:
                  type: string
                  description: >-
                    The asset received on the chainOut where the deposit address
                    performs a swap.
                usdPrice:
                  type: number
                  description: >-
                    The USD price of the token at the time the quote was
                    created.
                depositAddress:
                  type: string
                  description: >-
                    The Rhino.fi Smart Deposit Address that the tokens were
                    deposited to.
                preSwap:
                  $ref: '#/components/schemas/SwapQuote'
                postSwap:
                  $ref: '#/components/schemas/SwapQuote'
                depositTxHash:
                  type: string
                  description: The transaction hash of the deposit made on the chainIn.
                depositCommittedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction was committed on
                    the chainIn.
                depositDiscoveredAt:
                  type: string
                  description: >-
                    The datetime that Rhino.fi first discovered the deposit
                    transaction on the chainIn.
                depositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction reached the
                    required number of confirmations on the chainIn.
                expectedDepositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction is expected to
                    reach the required number of confirmations on the chainIn.
                expectedDepositConfirmedAtBlock:
                  type: integer
                  description: >-
                    The block on the chainIn at which the deposit transaction is
                    expected to reach the required number of confirmations.
                  title: int
                preSwapTxHash:
                  type: string
                  description: >-
                    The transaction hash of the swap performed on the chainIn
                    before bridging.
                preSwapCommittedAt:
                  type: string
                  description: >-
                    The datetime that the pre-bridge swap was committed on the
                    chainIn.
                isConfirmed:
                  type: boolean
                  description: >-
                    Whether the deposit transaction has reached the required
                    number of confirmations on the chainIn.
                failedAt:
                  type: string
                  description: The datetime that the transaction failed.
                state:
                  type: string
                  enum:
                    - FAILED
              additionalProperties: false
            - type: object
              required:
                - _tag
                - _id
                - userId
                - chainIn
                - chainOut
                - amountIn
                - amountInUsd
                - amountOut
                - amountOutUsd
                - amountNative
                - amountNativeUsd
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - sponsoredFees
                - recipient
                - depositor
                - createdAt
                - commitmentDate
                - token
                - usdPrice
                - depositTxHash
                - depositCommittedAt
                - state
              properties:
                _tag:
                  type: string
                  enum:
                    - depositAddressBridge
                _id:
                  type: string
                userId:
                  type: string
                  description: The projectID that the transaction is associated with.
                chainIn:
                  type: string
                  description: The blockchain that the tokens were bridged from.
                chainOut:
                  type: string
                  description: The blockchain that the tokens were bridged to.
                amountIn:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainIn.
                amountInUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainIn.
                amountOut:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainOut.
                amountOutUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainOut.
                amountNative:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromString'
                    - type: 'null'
                  description: >-
                    The amount of native gas token (e.g. ETH, MATIC, BNB) that
                    was delivered to the user's wallet on the destination chain
                    as part of gas boost functionality, where Rhino.fi delivers
                    a small amount of native gas token to the destination
                    address, ensuring that further transactions from this
                    address can be made immediately.
                amountNativeUsd:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromNumber'
                    - type: 'null'
                  description: The value, in USD, of amountNative.
                fee:
                  type: string
                  description: >-
                    The total cost of the transaction as paid by the end
                    customer, denominated in the token.
                feeUsd:
                  type: number
                  description: The total cost, in USD, of the transaction.
                gasFee:
                  type: string
                  description: >-
                    Any chain specific costs charged to the end customer for the
                    chainOut part of the overall transaction. Further
                    information about which chains have these associated costs
                    can be found here:
                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                    If these costs are being paid by the client then this value
                    will be zero and the gasFee and gasFeeUsd in the sponsored
                    fee body will be non-zero.
                gasFeeUsd:
                  type: number
                  description: The gasFee value, in USD.
                platformFee:
                  type: string
                  description: >-
                    The resulting fee charged from the $-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                platformFeeUsd:
                  type: number
                  description: The platformFee value, in USD.
                percentageFee:
                  type: string
                  description: >-
                    The resulting fee charged from the %-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                percentageFeeUsd:
                  type: number
                  description: The percentageFee value, in USD.
                sourceGasFee:
                  type: string
                  description: >-
                    The cost on the chainIn to sweep the received tokens into
                    Rhino.fi's control. For legacy clients this is deducted from
                    the tokens sent on the chainOut. For PAYG/Subscription tier
                    clients this is paid by Rhino.fi as part of the
                    PAYG/Subscription monthly cost so no direct cost is passed
                    onto the end customer, unless configured this way. This is
                    only relevant for transactions involving a Rhino.fi Smart
                    Deposit Address; for bridging/swapping-only activity the
                    sourceGasFee will be paid directly by the customer within
                    their depositing transaction.
                sourceGasFeeUsd:
                  type: number
                  description: The sourceGasFee value, in USD.
                sponsoredFees:
                  type: object
                  required:
                    - fee
                    - feeUsd
                    - gasFee
                    - gasFeeUsd
                    - platformFee
                    - platformFeeUsd
                    - percentageFee
                    - percentageFeeUsd
                    - sourceGasFee
                    - sourceGasFeeUsd
                  properties:
                    fee:
                      type: string
                      description: The total cost of the transaction.
                    feeUsd:
                      type: number
                      description: The total cost of the transaction, in USD.
                    gasFee:
                      type: string
                      description: >-
                        Any chain specific costs charged to the client for the
                        chainOut part of the overall transaction. Further
                        information about which chains have these associated
                        costs can be found here:
                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                        If these costs are being passed on to the end user then
                        this value will be zero and the gasFee and gasFeeUsd in
                        the main fee body will be non-zero.
                    gasFeeUsd:
                      type: number
                      description: The gasFee value, in USD.
                    platformFee:
                      type: string
                      description: >-
                        The value of any additional fee levied on top by
                        Rhino.fi and paid by the client. This is only relevant
                        for legacy clients.
                    platformFeeUsd:
                      type: number
                      description: The platformFee value, in USD.
                    percentageFee:
                      type: string
                      description: >-
                        Will be zero since this represents a charge levied on
                        the end customer by the client. To understand the value
                        charged to the end customer, the percentageFee value
                        from the main fee body should be used. N.B. for
                        PAYG/Subscription clients this is now referred to as the
                        "Client Surcharge".
                    percentageFeeUsd:
                      type: number
                      description: The percentageFee value, in USD.
                    sourceGasFee:
                      type: string
                      description: >-
                        The cost on the chainIn to sweep the received tokens
                        into Rhino.fi's control. For legacy clients this is
                        deducted from the tokens sent on the chainOut. For
                        PAYG/Subscription tier clients this is paid by Rhino.fi
                        as part of the PAYG/Subscription monthly cost so no
                        direct cost is passed onto the client, unless configured
                        to be passed onto the end customer. This is only
                        relevant for transactions involving a Rhino.fi Smart
                        Deposit Address; for bridging/swapping-only activity the
                        sourceGasFee will be paid directly by the customer
                        within their depositing transaction.
                    sourceGasFeeUsd:
                      type: number
                      description: The sourceGasFee value, in USD.
                  additionalProperties: false
                  description: >-
                    For both legacy and PAYG/Subscription clients, represents
                    the fees that are paid by the client on behalf of the end
                    customer.
                recipient:
                  type: string
                  description: >-
                    The address on the chainOut that received the bridged
                    tokens.
                depositor:
                  type: string
                  description: >-
                    The address on the chainIn that sent the tokens for
                    bridging.
                createdAt:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    created.
                commitmentDate:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    committed with Rhino.fi.
                speed:
                  type: string
                  enum:
                    - fast
                    - standard
                    - slow
                  description: >-
                    Provides information about whether the transaction is
                    expected to be completed "fast" (typically under 30
                    seconds), "standard" (typically under a minute) or "slow"
                    (can be up to 20 minutes). For more information on our
                    bridge processing speeds please read this article on the
                    Rhino.fi Knowledge Base:
                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                estimatedDuration:
                  type: number
                  description: >-
                    The estimated time for the transaction to complete in
                    milliseconds.
                  title: nonNegative
                  minimum: 0
                postBridgeData:
                  anyOf:
                    - $ref: '#/components/schemas/ExtendedPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                    - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                    - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                    - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                    - $ref: >-
                        #/components/schemas/RocketFoundationDepositPostBridgeData
                    - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                    - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                  description: >-
                    Custom Routing Rules as configured by Rhino.fi for a
                    specific client, e.g. to move funds after the initial bridge
                    into a yield bearing vault. To understand more about how
                    Routing Rules can help automate onchain actions and ensure
                    that your funds land in an active state, please contact your
                    Rhino.fi Customer Success Manager or speak to a member of
                    the Rhino.fi sales team.
                flowCredits:
                  type: number
                  description: >-
                    The number of Flow Credits that this transaction will use
                    from the client's agreed Rhino.fi PAYG/Subscription tier.
                token:
                  type: string
                  description: >-
                    The asset deposited into the Smart Deposit Address on the
                    chainIn. Where the deposit address performs a swap, the
                    asset received on the chainOut may differ.
                tokenOut:
                  type: string
                  description: >-
                    The asset received on the chainOut where the deposit address
                    performs a swap.
                usdPrice:
                  type: number
                  description: >-
                    The USD price of the token at the time the quote was
                    created.
                depositAddress:
                  type: string
                  description: >-
                    The Rhino.fi Smart Deposit Address that the tokens were
                    deposited to.
                preSwap:
                  $ref: '#/components/schemas/SwapQuote'
                postSwap:
                  $ref: '#/components/schemas/SwapQuote'
                depositTxHash:
                  type: string
                  description: The transaction hash of the deposit made on the chainIn.
                depositCommittedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction was committed on
                    the chainIn.
                depositDiscoveredAt:
                  type: string
                  description: >-
                    The datetime that Rhino.fi first discovered the deposit
                    transaction on the chainIn.
                depositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction reached the
                    required number of confirmations on the chainIn.
                expectedDepositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction is expected to
                    reach the required number of confirmations on the chainIn.
                expectedDepositConfirmedAtBlock:
                  type: integer
                  description: >-
                    The block on the chainIn at which the deposit transaction is
                    expected to reach the required number of confirmations.
                  title: int
                preSwapTxHash:
                  type: string
                  description: >-
                    The transaction hash of the swap performed on the chainIn
                    before bridging.
                preSwapCommittedAt:
                  type: string
                  description: >-
                    The datetime that the pre-bridge swap was committed on the
                    chainIn.
                isConfirmed:
                  type: boolean
                  description: >-
                    Whether the deposit transaction has reached the required
                    number of confirmations on the chainIn.
                state:
                  type: string
                  enum:
                    - DEPOSIT_ACCEPTED
              additionalProperties: false
            - type: object
              required:
                - _tag
                - _id
                - userId
                - chainIn
                - chainOut
                - amountIn
                - amountInUsd
                - amountOut
                - amountOutUsd
                - amountNative
                - amountNativeUsd
                - fee
                - feeUsd
                - gasFee
                - gasFeeUsd
                - platformFee
                - platformFeeUsd
                - percentageFee
                - percentageFeeUsd
                - sourceGasFee
                - sourceGasFeeUsd
                - sponsoredFees
                - recipient
                - depositor
                - createdAt
                - commitmentDate
                - token
                - usdPrice
                - depositTxHash
                - depositCommittedAt
                - state
              properties:
                _tag:
                  type: string
                  enum:
                    - depositAddressBridge
                _id:
                  type: string
                userId:
                  type: string
                  description: The projectID that the transaction is associated with.
                chainIn:
                  type: string
                  description: The blockchain that the tokens were bridged from.
                chainOut:
                  type: string
                  description: The blockchain that the tokens were bridged to.
                amountIn:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainIn.
                amountInUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainIn.
                amountOut:
                  type: string
                  description: >-
                    The native value of the tokens that were sent on the
                    chainOut.
                amountOutUsd:
                  type: number
                  description: The USD value of the tokens that were sent on the chainOut.
                amountNative:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromString'
                    - type: 'null'
                  description: >-
                    The amount of native gas token (e.g. ETH, MATIC, BNB) that
                    was delivered to the user's wallet on the destination chain
                    as part of gas boost functionality, where Rhino.fi delivers
                    a small amount of native gas token to the destination
                    address, ensuring that further transactions from this
                    address can be made immediately.
                amountNativeUsd:
                  anyOf:
                    - $ref: '#/components/schemas/BigDecimalFromNumber'
                    - type: 'null'
                  description: The value, in USD, of amountNative.
                fee:
                  type: string
                  description: >-
                    The total cost of the transaction as paid by the end
                    customer, denominated in the token.
                feeUsd:
                  type: number
                  description: The total cost, in USD, of the transaction.
                gasFee:
                  type: string
                  description: >-
                    Any chain specific costs charged to the end customer for the
                    chainOut part of the overall transaction. Further
                    information about which chains have these associated costs
                    can be found here:
                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                    If these costs are being paid by the client then this value
                    will be zero and the gasFee and gasFeeUsd in the sponsored
                    fee body will be non-zero.
                gasFeeUsd:
                  type: number
                  description: The gasFee value, in USD.
                platformFee:
                  type: string
                  description: >-
                    The resulting fee charged from the $-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                platformFeeUsd:
                  type: number
                  description: The platformFee value, in USD.
                percentageFee:
                  type: string
                  description: >-
                    The resulting fee charged from the %-based Client Surcharge.
                    This is applicable to both legacy and PAYG/Subscription
                    clients. For legacy clients this is deducted from the tokens
                    sent on the chainOut and will be sent to the client at month
                    end. For PAYG/Subscription clients this will be rebated at
                    month end.
                percentageFeeUsd:
                  type: number
                  description: The percentageFee value, in USD.
                sourceGasFee:
                  type: string
                  description: >-
                    The cost on the chainIn to sweep the received tokens into
                    Rhino.fi's control. For legacy clients this is deducted from
                    the tokens sent on the chainOut. For PAYG/Subscription tier
                    clients this is paid by Rhino.fi as part of the
                    PAYG/Subscription monthly cost so no direct cost is passed
                    onto the end customer, unless configured this way. This is
                    only relevant for transactions involving a Rhino.fi Smart
                    Deposit Address; for bridging/swapping-only activity the
                    sourceGasFee will be paid directly by the customer within
                    their depositing transaction.
                sourceGasFeeUsd:
                  type: number
                  description: The sourceGasFee value, in USD.
                sponsoredFees:
                  type: object
                  required:
                    - fee
                    - feeUsd
                    - gasFee
                    - gasFeeUsd
                    - platformFee
                    - platformFeeUsd
                    - percentageFee
                    - percentageFeeUsd
                    - sourceGasFee
                    - sourceGasFeeUsd
                  properties:
                    fee:
                      type: string
                      description: The total cost of the transaction.
                    feeUsd:
                      type: number
                      description: The total cost of the transaction, in USD.
                    gasFee:
                      type: string
                      description: >-
                        Any chain specific costs charged to the client for the
                        chainOut part of the overall transaction. Further
                        information about which chains have these associated
                        costs can be found here:
                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                        If these costs are being passed on to the end user then
                        this value will be zero and the gasFee and gasFeeUsd in
                        the main fee body will be non-zero.
                    gasFeeUsd:
                      type: number
                      description: The gasFee value, in USD.
                    platformFee:
                      type: string
                      description: >-
                        The value of any additional fee levied on top by
                        Rhino.fi and paid by the client. This is only relevant
                        for legacy clients.
                    platformFeeUsd:
                      type: number
                      description: The platformFee value, in USD.
                    percentageFee:
                      type: string
                      description: >-
                        Will be zero since this represents a charge levied on
                        the end customer by the client. To understand the value
                        charged to the end customer, the percentageFee value
                        from the main fee body should be used. N.B. for
                        PAYG/Subscription clients this is now referred to as the
                        "Client Surcharge".
                    percentageFeeUsd:
                      type: number
                      description: The percentageFee value, in USD.
                    sourceGasFee:
                      type: string
                      description: >-
                        The cost on the chainIn to sweep the received tokens
                        into Rhino.fi's control. For legacy clients this is
                        deducted from the tokens sent on the chainOut. For
                        PAYG/Subscription tier clients this is paid by Rhino.fi
                        as part of the PAYG/Subscription monthly cost so no
                        direct cost is passed onto the client, unless configured
                        to be passed onto the end customer. This is only
                        relevant for transactions involving a Rhino.fi Smart
                        Deposit Address; for bridging/swapping-only activity the
                        sourceGasFee will be paid directly by the customer
                        within their depositing transaction.
                    sourceGasFeeUsd:
                      type: number
                      description: The sourceGasFee value, in USD.
                  additionalProperties: false
                  description: >-
                    For both legacy and PAYG/Subscription clients, represents
                    the fees that are paid by the client on behalf of the end
                    customer.
                recipient:
                  type: string
                  description: >-
                    The address on the chainOut that received the bridged
                    tokens.
                depositor:
                  type: string
                  description: >-
                    The address on the chainIn that sent the tokens for
                    bridging.
                createdAt:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    created.
                commitmentDate:
                  type: string
                  description: >-
                    The datetime that the bridging / bridging+swapping quote was
                    committed with Rhino.fi.
                speed:
                  type: string
                  enum:
                    - fast
                    - standard
                    - slow
                  description: >-
                    Provides information about whether the transaction is
                    expected to be completed "fast" (typically under 30
                    seconds), "standard" (typically under a minute) or "slow"
                    (can be up to 20 minutes). For more information on our
                    bridge processing speeds please read this article on the
                    Rhino.fi Knowledge Base:
                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                estimatedDuration:
                  type: number
                  description: >-
                    The estimated time for the transaction to complete in
                    milliseconds.
                  title: nonNegative
                  minimum: 0
                postBridgeData:
                  anyOf:
                    - $ref: '#/components/schemas/ExtendedPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                    - $ref: '#/components/schemas/WirexWrapPostBridgeData'
                    - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
                    - $ref: >-
                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                    - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
                    - $ref: >-
                        #/components/schemas/RocketFoundationDepositPostBridgeData
                    - $ref: '#/components/schemas/MapleDepositPostBridgeData'
                    - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
                  description: >-
                    Custom Routing Rules as configured by Rhino.fi for a
                    specific client, e.g. to move funds after the initial bridge
                    into a yield bearing vault. To understand more about how
                    Routing Rules can help automate onchain actions and ensure
                    that your funds land in an active state, please contact your
                    Rhino.fi Customer Success Manager or speak to a member of
                    the Rhino.fi sales team.
                flowCredits:
                  type: number
                  description: >-
                    The number of Flow Credits that this transaction will use
                    from the client's agreed Rhino.fi PAYG/Subscription tier.
                token:
                  type: string
                  description: >-
                    The asset deposited into the Smart Deposit Address on the
                    chainIn. Where the deposit address performs a swap, the
                    asset received on the chainOut may differ.
                tokenOut:
                  type: string
                  description: >-
                    The asset received on the chainOut where the deposit address
                    performs a swap.
                usdPrice:
                  type: number
                  description: >-
                    The USD price of the token at the time the quote was
                    created.
                depositAddress:
                  type: string
                  description: >-
                    The Rhino.fi Smart Deposit Address that the tokens were
                    deposited to.
                preSwap:
                  $ref: '#/components/schemas/SwapQuote'
                postSwap:
                  $ref: '#/components/schemas/SwapQuote'
                depositTxHash:
                  type: string
                  description: The transaction hash of the deposit made on the chainIn.
                depositCommittedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction was committed on
                    the chainIn.
                depositDiscoveredAt:
                  type: string
                  description: >-
                    The datetime that Rhino.fi first discovered the deposit
                    transaction on the chainIn.
                depositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction reached the
                    required number of confirmations on the chainIn.
                expectedDepositConfirmedAt:
                  type: string
                  description: >-
                    The datetime that the deposit transaction is expected to
                    reach the required number of confirmations on the chainIn.
                expectedDepositConfirmedAtBlock:
[...]
